@charset "UTF-8";
html,
body,
h1, h2, h3, h4, h5, h6, p,
ol, ul, li,
blockquote, figure, img,
input, textarea, select, button, form {
  padding: 0;
  margin: 0;
  border: 0; }

html {
  box-sizing: border-box; }

body,
input,
textarea {
  font-family: 'Helvetica Neue', 'Helvetica', 'Arial', sans-serif; }

*,
*:before,
*:after {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  box-sizing: inherit; }

.x:before,
.x:after {
  content: " ";
  display: table; }

.x:after {
  clear: both; }

ul {
  list-style: none; }

input,
button,
textarea {
  padding: 10px;
  font-size: 1rem; }

@font-face {
  font-family: 'icons';
  src: url("../font/icons.eot?43962552");
  src: url("../font/icons.eot?43962552#iefix") format("embedded-opentype"), url("../font/icons.woff2?43962552") format("woff2"), url("../font/icons.woff?43962552") format("woff"), url("../font/icons.ttf?43962552") format("truetype"), url("../font/icons.svg?43962552#icons") format("svg");
  font-weight: normal;
  font-style: normal; }
/* Chrome hack: SVG is rendered more smooth in Windozze. 100% magic, uncomment if you need it. */
/* Note, that will break hinting! In other OS-es font will be not as sharp as it could be */
/*
@media screen and (-webkit-min-device-pixel-ratio:0) {
  @font-face {
    font-family: 'icons';
    src: url('../font/icons.svg?43962552#icons') format('svg');
  }
}
*/
[class^="icon-"]:before, [class*=" icon-"]:before {
  font-family: "icons";
  font-style: normal;
  font-weight: normal;
  speak: none;
  display: inline-block;
  text-decoration: inherit;
  width: 1em;
  margin-right: .2em;
  text-align: center;
  /* opacity: .8; */
  /* For safety - reset parent styles, that can break glyph codes*/
  font-variant: normal;
  text-transform: none;
  /* fix buttons height, for twitter bootstrap */
  line-height: 1em;
  /* Animation center compensation - margins should be symmetric */
  /* remove if not needed */
  margin-left: .2em;
  /* you can be more comfortable with increased icons size */
  /* font-size: 120%; */
  /* Font smoothing. That was taken from TWBS */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  /* Uncomment for 3D effect */
  /* text-shadow: 1px 1px 1px rgba(127, 127, 127, 0.3); */ }

.icon-star:before {
  content: '\e800'; }

/* '' */
.icon-star-empty:before {
  content: '\e801'; }

/* '' */
.icon-heart:before {
  content: '\e802'; }

/* '' */
.icon-heart-empty:before {
  content: '\e803'; }

/* '' */
.icon-share:before {
  content: '\e804'; }

/* '' */
.icon-cancel:before {
  content: '\e805'; }

/* '' */
.icon-wrench:before {
  content: '\e806'; }

/* '' */
.icon-cog:before {
  content: '\e807'; }

/* '' */
.icon-down-open:before {
  content: '\e808'; }

/* '' */
.icon-up-open:before {
  content: '\e809'; }

/* '' */
.icon-right-open:before {
  content: '\e80a'; }

/* '' */
.icon-left-open:before {
  content: '\e80b'; }

/* '' */
.icon-award:before {
  content: '\e80c'; }

/* '' */
.icon-menu:before {
  content: '\f0c9'; }

/* '' */
.icon-help:before {
  content: '\f128'; }

/* '' */
.icon-info:before {
  content: '\f129'; }

/* '' */
html,
body {
  height: 100%; }

body {
  background: #f3c449;
  background: linear-gradient(to bottom, #f3c449, #f0b419);
  height: 100%;
  overflow: hidden;
  transition: all 0.2s ease-out; }
  body.p-loading {
    pointer-events: none;
    overflow: hidden; }
    body.p-loading .p-loader {
      display: block; }
    body.p-loading .p-canvas,
    body.p-loading .p-score-wrapper,
    body.p-loading .p-menu,
    body.p-loading .p-triggers,
    body.p-loading .p-hud {
      opacity: 0; }
    body.p-loading .p-hud {
      transform: translateY(100%); }
    body.p-loading .p-score-wrapper {
      transform: translateY(100%); }
      @media (min-width: 641px) {
        body.p-loading .p-score-wrapper {
          transform: translate(-50%, 100%); } }
    body.p-loading .p-intro {
      top: calc(50% - 80px); }
      body.p-loading .p-intro img {
        height: 70px; }
  body[data-state="advancing"] .p-option:not(.p-selected) {
    opacity: 0.2 !important; }
  body[data-state="advancing"] .p-option {
    pointer-events: none; }
  body[data-state="stopped"] .p-question,
  body[data-state="stopped"] .p-options {
    pointer-events: none;
    height: 0;
    overflow: hidden;
    opacity: 0; }
  body[data-state="stopped"] .p-pre {
    display: block; }
  body[data-state="stopped"] .p-canvas-inner {
    background: none;
    box-shadow: none; }
  body[data-state="stopped"] .p-status,
  body[data-state="stopped"] .p-timer {
    display: none; }

body,
button {
  font-family: 'Fira Mono', sans-serif; }

.p-bg {
  background: url(../img/bg.png);
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%; }

.p-intro {
  text-align: center;
  position: absolute;
  top: 20px;
  left: 0;
  z-index: 11;
  transition: all 0.2s ease-out;
  width: 100%; }
  .p-intro h1 {
    clip-path: polygon(0px 0px, 0px 0px, 0px 0px, 0px 0px); }
  .p-intro img {
    height: 30px;
    width: auto; }
    @media (min-width: 641px) {
      .p-intro img {
        height: 50px;
        margin-top: 20px;
        transform: none; } }

.p-base {
  position: absolute;
  margin: auto;
  height: 100%;
  width: 100%; }

.p-score-wrapper {
  text-align: center;
  transition: all 0.2s ease-out;
  position: absolute; }
  @media (min-width: 641px) {
    .p-score-wrapper {
      top: 110px;
      left: 50%;
      transform: translateX(-50%);
      font-weight: 500; } }
  @media (max-width: 639px) {
    .p-score-wrapper {
      position: absolute;
      bottom: 0;
      left: 0;
      padding: 10px;
      width: calc(100% - 100px);
      background: #111;
      color: #f3c449;
      font-weight: 500;
      display: flex;
      justify-content: flex-start;
      height: 50px;
      align-items: center;
      z-index: 4;
      font-size: 14px; } }

.p-canvas {
  margin-top: 20px;
  text-align: center;
  position: relative;
  z-index: 9;
  transition: all 0.2s ease-out;
  height: calc(100% - 130px);
  display: flex;
  align-items: center;
  padding: 0 10px; }
  .p-canvas .p-canvas-inner {
    background: #111;
    background: linear-gradient(to bottom, #222, #111);
    box-shadow: 0px 5px 5px rgba(0, 0, 0, 0.2);
    padding: 20px 20px 0px 20px;
    width: 100%;
    position: relative;
    transition: all 0.3s ease-out; }
  .p-canvas .p-timer {
    position: absolute;
    top: -5px;
    left: 0;
    height: 5px;
    background: #1f5fa2;
    width: 100%;
    transform-origin: top left; }
  @media (min-width: 641px) {
    .p-canvas {
      border-radius: 10px;
      padding: 0;
      width: calc(100% - 40px);
      max-width: 600px;
      height: auto;
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      margin-top: 0; } }

.p-start {
  font-family: 'Luckiest Guy', sans-serif;
  color: #f3c449;
  font-size: 40px;
  cursor: pointer;
  background: #111;
  border-radius: 20px;
  display: inline-block;
  padding: 20px 20px  10px 20px;
  margin: 20px 0 0 0;
  opacity: 0.2;
  transition: all 0.2s ease-out; }
  .p-start-ready {
    opacity: 1; }

.p-info {
  width: 100%;
  margin: auto;
  font-size: 14px; }

.p-pre {
  display: none; }

.p-pre-text {
  border: 1px dashed rgba(0, 0, 0, 0.5);
  padding: 20px;
  margin-top: 60px; }

.p-sprites {
  display: flex;
  justify-content: space-between;
  width: 100%;
  margin: auto;
  padding: 0;
  margin-top: 20px; }
  @media (min-width: 641px) {
    .p-sprites {
      justify-content: center;
      margin-top: 40px; } }
  .p-sprites .p-sprite {
    position: relative;
    width: calc(25% - 10px);
    height: 0;
    padding-bottom: calc(25% - 10px);
    overflow: hidden;
    opacity: 0; }
    @media (min-width: 641px) {
      .p-sprites .p-sprite {
        width: 100px;
        padding-bottom: 100px;
        margin: 0 10px; } }
    .p-sprites .p-sprite img {
      width: 100%; }

.p-question {
  margin-bottom: 10px;
  font-size: 14px;
  font-weight: 500;
  color: #f3c449;
  user-select: none; }
  @media (min-width: 641px) {
    .p-question {
      font-size: 21px; } }

.p-options {
  margin: 20px 0;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between; }
  @media (min-width: 641px) {
    .p-options {
      margin: 40px 0 40px 0; } }
  .p-options .p-option {
    background: white;
    margin: 0;
    border: 0;
    padding: 20px 10px;
    width: calc(50% - 5px);
    text-transform: capitalize;
    font-weight: 500;
    color: black;
    border: 2px solid white;
    background: white;
    cursor: pointer;
    border-radius: 5px;
    margin-bottom: 10px;
    outline: none;
    font-size: 14px;
    user-select: none;
    position: relative;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.2s ease-out;
    opacity: 0; }
    .p-options .p-option img {
      position: absolute;
      top: 50%;
      transform: translateY(-50%);
      transition: all 0.2s ease-out;
      opacity: 0; }
    @media (min-width: 641px) {
      .p-options .p-option {
        width: 120px;
        height: 120px;
        border-radius: 100%;
        cursor: pointer;
        transition: all 0.2s ease-out;
        font-size: 16px; }
        .p-options .p-option:hover {
          background: #f3c449;
          color: black;
          transform: scale(1.1); } }
    @media (min-width: 641px) and (min-width: 641px) {
      .p-options .p-option:hover {
        box-shadow: 0px 0px 0px 5px rgba(255, 255, 255, 0.2); } }

    .p-options .p-option.p-selected {
      background: #f3c449;
      color: black; }
      @media (min-width: 641px) {
        .p-options .p-option.p-selected {
          box-shadow: 0px 0px 0px 5px rgba(255, 255, 255, 0.2); } }
    .p-options .p-option.p-option--off {
      opacity: 0.2 !important;
      pointer-events: none; }

.p-status {
  color: #333;
  font-size: 14px;
  font-weight: 500;
  position: absolute;
  bottom: 0;
  left: 0;
  z-index: -1;
  transition: all 0.2s ease-out;
  padding: 10px;
  width: 100%;
  text-align: center;
  background: #222;
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: 700;
  font-family: 'Luckiest Guy', sans-serif;
  font-size: 16px;
  height: 70px; }
  @media (min-width: 641px) {
    .p-status {
      font-size: 21px; } }
  .p-status--incorrect {
    color: #c62828;
    background: linear-gradient(to top, #fafafa, #f5f5f5);
    transform: translateY(100%);
    box-shadow: 0px 5px 5px rgba(0, 0, 0, 0.2); }
  .p-status--correct {
    color: #2e7d32;
    background: linear-gradient(to top, #fafafa, #f5f5f5);
    transform: translateY(100%);
    box-shadow: 0px 5px 5px rgba(0, 0, 0, 0.2);
    font-size: 21px; }
    .p-status--correct .p-correct-text {
      transform: translateY(1px); }
  .p-status .p-restart {
    text-decoration: underline;
    cursor: pointer;
    margin-left: 10px; }

.p-correct-img {
  width: 50px;
  height: 50px;
  display: inline-block;
  margin-right: 10px; }
  .p-correct-img img {
    width: 100%; }

.p-menu {
  bottom: 50px;
  background: #f3c449;
  width: 100%;
  position: absolute;
  left: 50%;
  transform: translate(-50%, 100%);
  transition: all 0.2s ease-out;
  z-index: 2;
  opacity: 0; }
  @media (min-width: 641px) {
    .p-menu {
      z-index: 1;
      width: auto; } }
  body.p-share-menu-open .p-menu.p-menu-share {
    transform: translate(-50%);
    box-shadow: 0px -5px 5px rgba(0, 0, 0, 0.1);
    opacity: 1; }
  @media (min-width: 641px) {
    .p-menu.p-menu-share {
      background: #111;
      bottom: 0px;
      transform: none;
      right: 0;
      z-index: 2;
      opacity: 1; } }
  .p-menu.p-menu-main {
    padding: 10px;
    text-align: left; }
    body.p-main-menu-open .p-menu.p-menu-main {
      transform: translate(-50%);
      box-shadow: 0px -5px 5px rgba(0, 0, 0, 0.1);
      opacity: 1; }
    @media (min-width: 641px) {
      .p-menu.p-menu-main {
        width: 600px; } }
  .p-menu.p-menu-settings {
    padding: 5px;
    display: none;
    text-align: left; }
    .p-menu.p-menu-settings span {
      display: block;
      padding: 5px 5px 0 5px; }
    body.p-settings-menu-open .p-menu.p-menu-settings {
      transform: translate(-50%);
      box-shadow: 0px -5px 5px rgba(0, 0, 0, 0.1);
      opacity: 1; }
    @media (min-width: 641px) {
      .p-menu.p-menu-settings {
        width: 600px; } }
    .p-menu.p-menu-settings ul {
      display: flex;
      justify-content: center;
      padding: 10px 0; }
    .p-menu.p-menu-settings ul li {
      flex-grow: 1;
      text-align: center;
      margin: 0 5px; }
    .p-menu.p-menu-settings ul li button {
      width: 100%;
      height: 36px;
      padding: 0;
      margin: 0;
      border: 0;
      background: none;
      display: inline-block;
      line-height: 36px;
      color: #222;
      cursor: pointer;
      opacity: 0.2;
      transition: transform 0.2s ease-out;
      font-weight: 700;
      outline: none;
      border: 1px solid #222; }
      @media (min-width: 481px) {
        .p-menu.p-menu-settings ul li button {
          width: 100%;
          height: 50px;
          line-height: 50px; } }
      .p-menu.p-menu-settings ul li button.p-gen-active {
        opacity: 1;
        background: #222;
        color: #f3c449; }

.p-hud {
  position: absolute;
  bottom: 0;
  left: 0;
  height: 50px;
  background: #111;
  width: 100%;
  z-index: 3;
  transition: all 0.2s ease-out; }
  .p-hud .p-hud-inner {
    position: relative;
    width: 100%;
    text-align: right;
    float: right;
    display: flex;
    justify-content: flex-end; }
    @media (min-width: 641px) {
      .p-hud .p-hud-inner {
        margin: auto;
        text-align: center;
        float: none;
        justify-content: flex-start;
        background: #111;
        width: 600px; } }

.p-share-wrapper {
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center; }
  .p-share-wrapper .p-share {
    margin: 0 2px;
    transform: translateY(3px); }
  .p-share-wrapper .fb-like span {
    vertical-align: unset !important; }
  @media (min-width: 641px) {
    .p-share-wrapper {
      justify-content: flex-end; } }

.p-triggers {
  display: flex;
  z-index: 3;
  height: 50px; }
  @media (min-width: 641px) {
    .p-triggers {
      width: 300px;
      background: #111; } }
  .p-triggers .p-trigger {
    background: #111;
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #f3c449;
    cursor: pointer;
    font-size: 14px; }
    .p-triggers .p-trigger span.p-trigger-label {
      display: none; }
    .p-triggers .p-trigger span.p-trigger-icon {
      width: 16px; }
    @media (min-width: 641px) {
      .p-triggers .p-trigger {
        width: auto; }
        .p-triggers .p-trigger span.p-trigger-label {
          display: inline;
          margin-left: 5px; } }
    @media (min-width: 641px) {
      .p-triggers .p-trigger.p-trigger-share {
        display: none; } }
    .p-triggers .p-trigger.p-trigger-share .p-trigger-icon:before {
      font-family: 'icons';
      content: '\e804'; }
    body.p-share-menu-open .p-triggers .p-trigger.p-trigger-share {
      background: #f3c449;
      color: #111; }
      body.p-share-menu-open .p-triggers .p-trigger.p-trigger-share .p-trigger-icon:before {
        content: '\e805'; }
    .p-triggers .p-trigger.p-trigger-menu .p-trigger-icon:before {
      font-family: 'icons';
      content: '\e80c'; }
    body.p-main-menu-open .p-triggers .p-trigger.p-trigger-menu {
      background: #f3c449;
      color: #111; }
      body.p-main-menu-open .p-triggers .p-trigger.p-trigger-menu .p-trigger-icon:before {
        content: '\e805'; }
    body[data-state="playing"] .p-triggers .p-trigger.p-trigger-menu {
      opacity: 0.2;
      pointer-events: none; }
    .p-triggers .p-trigger.p-trigger-settings {
      display: none; }
      .p-triggers .p-trigger.p-trigger-settings .p-trigger-icon:before {
        font-family: 'icons';
        content: '\e807'; }
      body.p-settings-menu-open .p-triggers .p-trigger.p-trigger-settings {
        background: #f3c449;
        color: #111; }
        body.p-settings-menu-open .p-triggers .p-trigger.p-trigger-settings .p-trigger-icon:before {
          content: '\e805'; }
      body[data-state="playing"] .p-triggers .p-trigger.p-trigger-settings {
        opacity: 0.2;
        pointer-events: none; }

@keyframes flash {
  0% {
    opacity: 1; }
  50% {
    opacity: 0; }
  100% {
    opacity: 1; } }
.p-loader {
  position: absolute;
  top: calc(50% + 30px);
  left: 50%;
  transform: translate(-50%, -50%);
  display: none;
  animation: flash 0.6s infinite; }
